Skip to main content
GET
/
trust-centers
/
{slugId}
/
access-requests
/
{accessRequestId}
Get Trust Center access request
curl --request GET \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/access-requests/{accessRequestId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "email": "exampleviewer@company.com",
  "name": "Example Viewer",
  "companyName": "Viewer Company, Inc.",
  "reason": "I'm an existing customer",
  "requestedResources": null,
  "accessLevel": "FULL_ACCESS",
  "creationDate": "2020-01-01T00:00:00.000Z",
  "updatedDate": "2020-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
accessRequestId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the access request.

email
string
required

Email of the requester.

name
string
required

Name of the requester.

companyName
string
required

Name of the requester's company.

reason
string
required

Reason for the access request.

requestedResources
string[] | null
required

IDs for the resources that the viewer requested access to.

accessLevel
enum<string>
required

Access level that the viewer requested.

Available options:
FULL_ACCESS,
PARTIAL_ACCESS
creationDate
string<date-time>
required

Date the access request was created.

updatedDate
string<date-time>
required

Date the access request was last updated.